MacOS VM
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update MacOS VM action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Build iOS App on macOS VM",
"type": "NATIVE_BUILD_MAC_VM",
"trigger_time": "ON_EVERY_EXECUTION",
"working_directory": "/",
"commands": [
"xcodebuild clean",
"xcodebuild -workspace MyApp.xcworkspace -scheme MyApp -configuration Release archive -archivePath ./build/MyApp.xcarchive"
],
"execute_every_command": true,
"xcode_version": "15.2",
"node_version": "20.10.0",
"shell": "BASH",
"sync_paths": [
{
"pipeline_path": "/workspace",
"vm_path": "/Users/builder/project",
"direction": "PIPELINE_TO_VM",
"excludes": "*.log",
"includes": ""
},
{
"pipeline_path": "/artifacts",
"vm_path": "/Users/builder/project/build",
"direction": "VM_TO_PIPELINE",
"excludes": "",
"includes": "*.ipa"
}
],
"certificates": [
"$IOS_DISTRIBUTION_CERT"
],
"provision_profiles": [
"$IOS_PROVISIONING_PROFILE"
]
}'STATUS200 OK